clang-tools 10.0.0

Public Member Functions | List of all members
clang::doc::MapperActionFactory Class Reference
Inheritance diagram for clang::doc::MapperActionFactory:
[legend]
Collaboration diagram for clang::doc::MapperActionFactory:
[legend]

## Public Member Functions
| MapperActionFactory (ClangDocContext CDCtx)
std::unique_ptr< FrontendAction > | create () override

## Detailed Description

Definition at line 29 of file ClangDoc.cpp.

## Constructor & Destructor Documentation

## ◆ MapperActionFactory()

clang::doc::MapperActionFactory::MapperActionFactory | ( | ClangDocContext | CDCtx | ) |
| inline

Definition at line 31 of file ClangDoc.cpp.

References create().

## Member Function Documentation

## ◆ create()

std::unique_ptr< FrontendAction > clang::doc::MapperActionFactory::create | ( |  | ) |
| override

Definition at line 38 of file ClangDoc.cpp.

Referenced by MapperActionFactory().

The documentation for this class was generated from the following file:

- ClangDoc.cpp